このページはAIにより自動翻訳されており、不正確な内容が含まれている可能性があります。翻訳の誤りを報告するには、ページ右側の目次の下にあるフィードバックをご利用ください。
メールテンプレート情報の表示
get
/templates/email/info
このエンドポイントを使用して、メールテンプレートに関する情報を取得します。

重要
メール用のドラッグアンドドロップエディターを使用して作成されたテンプレートは受け付けられません。
前提条件
このエンドポイントを使用するには、templates.email.info 権限を持つ API キーが必要です。
レート制限
APIレート制限に記載されているように、このエンドポイントにはデフォルトのBrazeレート制限(1時間あたり250,000リクエスト)が適用されます。
リクエストパラメーター
| パラメーター | 必須 | データタイプ | 説明 |
|---|---|---|---|
email_template_id |
必須 | 文字列 | メールテンプレートAPI識別子を参照してください。 |
リクエスト例
1
2
curl --location -g --request GET 'https://rest.iad-01.braze.com/templates/email/info?email_template_id={{email_template_id}}' \
--header 'Authorization: Bearer YOUR_REST_API_KEY'
応答
1
2
3
4
5
6
7
8
9
10
11
12
13
{
"email_template_id": (string) Your email template's API Identifier,
"template_name": (string) The name of your email template,
"description": (string) The email template description,
"subject": (string) The email template subject line,
"preheader": (optional, string) The email preheader used to generate previews in some clients),
"body": (optional, string) The email template body that may include HTML,
"plaintext_body": (optional, string) A plaintext version of the email template body,
"should_inline_css": (optional, boolean) Whether there is inline CSS in the body of the template - defaults to the css inlining value for the workspace,
"tags": (string) Tag names,
"created_at": (string) The time the email was created at in ISO 8601,
"updated_at": (string) The time the email was updated in ISO 8601
}
この応答の画像は、HTMLとして body 変数に表示されます。
New Stuff!